# Uses of Interface
org.opensaml.saml.saml2.core.Condition

Packages that use Condition
Package
Description
org.opensaml.saml.ext.saml2delrestrict
Interfaces for SAML 2 Condition for Delegation Restriction.
org.opensaml.saml.ext.saml2delrestrict.impl
Implementation for SAML v2.0 Condition for Delegation Restriction Version 1.0.
org.opensaml.saml.saml2.assertion
Interfaces and API classes for validating SAML 2 Assertions.
org.opensaml.saml.saml2.assertion.impl
Implementation classes for validating SAML 2 Assertions.
org.opensaml.saml.saml2.core
Interfaces for SAML 2.0 core and protocol interfaces.
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.

## Uses of Condition in org.opensaml.saml.ext.saml2delrestrict

Subinterfaces of Condition in org.opensaml.saml.ext.saml2delrestrict
Modifier and Type
Interface
Description
`interface`
`DelegationRestrictionType`
SAML 2.0 Condition for Delegation Restriction - DelegationRestrictionType complex type.

## Uses of Condition in org.opensaml.saml.ext.saml2delrestrict.impl

Classes in org.opensaml.saml.ext.saml2delrestrict.impl that implement Condition
Modifier and Type
Class
Description
`class`
`DelegationRestrictionTypeImpl`
Implementation of `DelegationRestrictionType`.

## Uses of Condition in org.opensaml.saml.saml2.assertion

Methods in org.opensaml.saml.saml2.assertion with parameters of type Condition
Modifier and Type
Method
Description
`ValidationResult`
ConditionValidator.`validate(Condition condition, Assertion assertion, ValidationContext context)`
Validates the given condition.

## Uses of Condition in org.opensaml.saml.saml2.assertion.impl

Methods in org.opensaml.saml.saml2.assertion.impl with parameters of type Condition
Modifier and Type
Method
Description
`ValidationResult`
AudienceRestrictionConditionValidator.`validate(Condition condition, Assertion assertion, ValidationContext context)`
Validates the given condition.
`ValidationResult`
DelegationRestrictionConditionValidator.`validate(Condition condition, Assertion assertion, ValidationContext context)`
Validates the given condition.
`ValidationResult`
OneTimeUseConditionValidator.`validate(Condition condition, Assertion assertion, ValidationContext context)`
Validates the given condition.
`ValidationResult`
ProxyRestrictionConditionValidator.`validate(Condition condition, Assertion assertion, ValidationContext context)`
Validates the given condition.

## Uses of Condition in org.opensaml.saml.saml2.core

Subinterfaces of Condition in org.opensaml.saml.saml2.core
Modifier and Type
Interface
Description
`interface`
`AudienceRestriction`
SAML 2.0 Core AudienceRestriction.
`interface`
`OneTimeUse`
SAML 2.0 Core OneTimeUse.
`interface`
`ProxyRestriction`
SAML 2.0 Core ProxyRestriction.
Methods in org.opensaml.saml.saml2.core that return types with arguments of type Condition
Modifier and Type
Method
Description
`List<Condition>`
Conditions.`getConditions()`
Gets all the conditions on the assertion.
`List<Condition>`
Conditions.`getConditions(QName typeOrName)`
Gets the list of conditions that match a particular QName.

## Uses of Condition in org.opensaml.saml.saml2.core.impl

Classes in org.opensaml.saml.saml2.core.impl that implement Condition
Modifier and Type
Class
Description
`class`
`AudienceRestrictionImpl`
Concrete implementation of `AudienceRestriction`.
`class`
`ConditionXSAnyAdapter`
Component that adapts an instance of `XSAny` to the interface `Condition`.
`class`
`OneTimeUseImpl`
Concrete implementation of `OneTimeUse`.
`class`
`ProxyRestrictionImpl`
Concrete implementation of `ProxyRestriction`.
Fields in org.opensaml.saml.saml2.core.impl with type parameters of type Condition
Modifier and Type
Field
Description
`private final IndexedXMLObjectChildrenList<Condition>`
ConditionsImpl.`conditions`
A Condition.
Methods in org.opensaml.saml.saml2.core.impl that return types with arguments of type Condition
Modifier and Type
Method
Description
`List<Condition>`
ConditionsImpl.`getConditions()`
Gets all the conditions on the assertion.
`List<Condition>`
ConditionsImpl.`getConditions(QName typeOrName)`
Gets the list of conditions that match a particular QName.